using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using System.IO;

namespace FormsApp
{
    partial class StandardDialogs
    {

        #region  OpenFileDialog

        String fileName = ""; //   
        StreamReader readFile; //  
        private void btnOpenFile_Click(object sender, EventArgs e)
        {
            openFileDialog.FileName = String.Empty;
            DialogResult result = openFileDialog.ShowDialog();
            if (result == DialogResult.OK)
            {
                try // 
                {
                    fileName = openFileDialog.FileName;//   
                    readFile = new StreamReader(fileName);//  
                    txtSimpleEdit.Text = readFile.ReadToEnd();//   
                }
                catch //   
                {
                    MessageBox.Show("   \n",
                        "",
                        MessageBoxButtons.OK,
                        MessageBoxIcon.Stop);
                }
				finally //    
                {
                    readFile.Close();
                }
            }
        }

        StreamWriter writeFile; //  
        private void btnSaveFile_Click(object sender, EventArgs e)
        {
            //  
            saveFileDialog.Title = "  ";
            saveFileDialog.Filter = "  (*.txt)|*.txt";

            //      ,   
            if (fileName.Length <= 0)
            {
                DialogResult result = saveFileDialog.ShowDialog();
                if (result == DialogResult.OK)
                {
                    fileName = saveFileDialog.FileName;//   
                }
                else
                    return;
            }

            try
            {
                writeFile = new StreamWriter(fileName);//  
                writeFile.Write(txtSimpleEdit.Text);//  
            }
            catch
            {
                MessageBox.Show("   \n",
                    "",
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Stop);
            }
            finally
            {
                writeFile.Close();
            }
        }

        #endregion

    }
}